# std::unordered_map<Key,T,Hash,KeyEqual,Allocator>::get_allocator

From cppreference.com
< cpp‎ | container‎ | unordered map

allocator_type get_allocator() const; |  | (since C++11)

Returns the allocator associated with the container.

### Parameters

(none)

### Return value

The associated allocator.

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_map/get_allocator&oldid=50695"